## dde-launchpad 0.8.5

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

cmake_minimum_required(VERSION 3.10)

project(dde-launchpad VERSION 0.7.0)

option(BUILD_TEST "Whether or not to build the tests" OFF)
option(CMAKE_EXPORT_COMPILE_COMMANDS "clangd support" ON)

set(CMAKE_CXX_STANDARD 17) # blurhash requires 17, otherwish we can still use 14
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON) # ensure adapter class can include launchercontroller.h
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

set(BIN_NAME dde-launchpad)

include(FeatureSummary)
include(GNUInstallDirs)

set(QT_NS Qt6)
set(DTK_NS Dtk6)
set(ASQT_NS AppStreamQt)

find_package(QT NAMES ${QT_NS} REQUIRED COMPONENTS Core)
find_package(${QT_NS} REQUIRED COMPONENTS Core Gui Concurrent Qml Svg Quick QuickControls2 LinguistTools)
find_package(${DTK_NS} REQUIRED COMPONENTS Core Gui)
find_package(${ASQT_NS} 1.0 REQUIRED)

set_package_properties(${ASQT_NS} PROPERTIES
    DESCRIPTION "Library that lists Appstream resources"
    URL "https://www.freedesktop.org"
    TYPE RECOMMENDED)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(QML_IMPORT_PATH ${QML_IMPORT_PATH} ${CMAKE_CURRENT_BINARY_DIR}/ CACHE STRING "" FORCE)

add_subdirectory(systemd)
add_subdirectory(dbus)
add_subdirectory(src/gioutils)
add_subdirectory(src/utils)
add_subdirectory(src/quick)
add_subdirectory(src/ddeintegration)
add_subdirectory(src/treelandintegration)
add_subdirectory(src/models)
add_subdirectory(qml/windowed)

if(BUILD_TEST)
    enable_testing()
    add_subdirectory(tests)
endif()

set(SOURCE_FILES
    desktopintegration.cpp desktopintegration.h
    launchercontroller.cpp launchercontroller.h
    debughelper.cpp debughelper.h
    inputeventitem.h inputeventitem.cpp
)

set(QML_FILES
    ${PROJECT_SOURCE_DIR}/qml/Helper.qml
    ${PROJECT_SOURCE_DIR}/qml/Main.qml
    ${PROJECT_SOURCE_DIR}/qml/FullscreenFrame.qml
    ${PROJECT_SOURCE_DIR}/qml/AppItemMenu.qml
    ${PROJECT_SOURCE_DIR}/qml/GridViewContainer.qml
    ${PROJECT_SOURCE_DIR}/qml/DrawerFolder.qml
    ${PROJECT_SOURCE_DIR}/qml/IconItemDelegate.qml
    ${PROJECT_SOURCE_DIR}/qml/DebugDialog.qml
    ${PROJECT_SOURCE_DIR}/qml/DebugBounding.qml
    ${PROJECT_SOURCE_DIR}/qml/FolderGridViewPopup.qml
)
foreach(QML_FILE ${QML_FILES})
    get_filename_component(file_name ${QML_FILE} NAME)
    set_source_files_properties(${QML_FILE}
        PROPERTIES QT_RESOURCE_ALIAS ${file_name}
    )
endforeach()

get_target_property(WINDOWED_QML_FILES launcher-qml-windowed QT_QML_MODULE_QML_FILES)
# TODO: switch to the new qt_add_translations usage introduced in Qt 6.7
#       see also: https://www.qt.io/blog/revisited-i18n-with-cmake
set(QML_FILES_NEED_TRANSLATION
    qml/AppItemMenu.qml
    qml/Main.qml
    ${WINDOWED_QML_FILES}
)

set_source_files_properties(${PROJECT_SOURCE_DIR}/qml/Helper.qml
    PROPERTIES
        QT_QML_SINGLETON_TYPE TRUE
)

set(TRANSLATION_FILES
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_az.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_bo.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ca.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_es.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_fi.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_fr.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_hu.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_it.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ja.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ko.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_nb_NO.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_pl.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_pt_BR.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ru.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_uk.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_CN.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_HK.ts
    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_TW.ts
)

qt_add_dbus_adaptor(DBUS_ADAPTER_FILES dbus/org.deepin.dde.Launcher1.xml launchercontroller.h LauncherController)

qt_add_executable(${BIN_NAME}
    main.cpp
    ${SOURCE_FILES}
    ${DBUS_ADAPTER_FILES}
    ${RESOURCES}
    ${TRANSLATED_FILES}
)

qt_add_qml_module(${BIN_NAME}
    URI org.deepin.launchpad
    VERSION 1.0
    RESOURCES qml.qrc
    RESOURCE_PREFIX
        /qt/qml
    QML_FILES
        ${QML_FILES}
)

qt_add_translations(${BIN_NAME}
    TS_FILES ${TRANSLATION_FILES}
    SOURCES ${QML_FILES_NEED_TRANSLATION} ${SOURCE_FILES} src/models/appitem.cpp
    QM_FILES_OUTPUT_VARIABLE TRANSLATED_FILES
)

target_compile_definitions(${BIN_NAME}
PRIVATE
    DDE_LAUNCHPAD_VERSION=${CMAKE_PROJECT_VERSION}
)

target_link_libraries(${BIN_NAME} PRIVATE
    ${DTK_NS}::Core
    ${DTK_NS}::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2

    launcher-qml-windowed
    gio-utils
    launcher-utils
    launcher-qml-utils
    launcher-models
    dde-integration-dbus
    treeland-integration
)

install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
install(
    FILES dist/org.deepin.dde.shell.launchpad.appdata.xml
    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
)

include(dde-shell-wrapper/src.cmake)

=== src/models/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt6Core CONFIG REQUIRED Private)

qt_add_qml_module(
    launcher-models
    URI org.deepin.launchpad.models
    VERSION 1.0
    STATIC
    PLUGIN_TARGET launcher-models
)

target_sources(launcher-models PUBLIC
FILE_SET HEADERS
FILES
    appsmodel.h
    sortproxymodel.h
    searchfilterproxymodel.h
    categorizedsortproxymodel.h
    favoritedproxymodel.h
    itemarrangementproxymodel.h
    multipagesortfilterproxymodel.h
    recentlyinstalledproxymodel.h
    countlimitproxymodel.h
    freesortproxymodel.h
    frequentlyusedproxymodel.h
)

target_sources(launcher-models
PRIVATE
    appsmodel.cpp
    appitem.cpp appitem.h
    sortproxymodel.cpp
    searchfilterproxymodel.cpp
    categorizedsortproxymodel.cpp
    favoritedproxymodel.cpp
    itemspage.cpp itemspage.h
    itemarrangementproxymodel.cpp
    multipagesortfilterproxymodel.cpp
    recentlyinstalledproxymodel.cpp
    countlimitproxymodel.cpp
    freesortproxymodel.cpp
    frequentlyusedproxymodel.cpp
)

target_link_libraries(launcher-models PRIVATE
    Qt::Core
    Qt::Gui
    Qt::CorePrivate
    ${DTK_NS}::Core

    gio-utils
    dde-integration-dbus
    launcher-utils
)

# legacy one, provided for migration purpose (begin)
dtk_add_config_meta_files(
    APPID ${PROJECT_NAME}
    FILES org.deepin.dde.launchpad.appsmodel.json
)
# (end)

dtk_add_config_meta_files(
    APPID org.deepin.dde.shell
    FILES org.deepin.ds.launchpad.json
)

=== debian/changelog ===
dde-launchpad (0.8.5) unstable; urgency=medium

  * bump version to 0.8.5

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 14 Aug 2024 14:32:05 +0800

dde-launchpad (0.8.4) unstable; urgency=medium

  * fix: fullscreen frame can't get keyboard focus(Issue: 10224)
  * fix: the full screen window has rounded corners(Issue: 9994)

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 08 Aug 2024 15:10:38 +0800

dde-launchpad (0.8.3) unstable; urgency=medium

  * fix: display issues with fullscreen frame(Issue: 9996)
  * fix: personalize fullscreen mode instead of windowed mode
  * fix: windowed mode folder animation incorrect start point
  * fix: fullscreen frame follows the dock(Issue: 7188)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 06 Aug 2024 15:47:58 +0800

dde-launchpad (0.8.2) unstable; urgency=medium

  * fix: Cannot open apps inside folders with keyboard(Issue: 9930)
  * fix: Insufficient background opacity when opening folder(Issue: 10037)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 31 Jul 2024 14:56:03 +0800

dde-launchpad (0.8.1) unstable; urgency=medium

  * fix: mini launcher can't open the appGroup by space or return key(Issue: 9737)
  * fix: Frequently used app items will overlap search bar splitline(Issue: 9748)
  * chore(i18n): update translations(Issue: 9898)

 -- zyz <zhaoyingzhen@uniontech.com>  Wed, 24 Jul 2024 13:49:48 +0800

dde-launchpad (0.8.0) unstable; urgency=medium

  * Insufficient transparency of the outer border (linuxdeepin/developer-center#8342)
  * Can't input Chinese when opening the launcher (linuxdeepin/developer-center#8469)
  * Cherry-pick fixes from 0.7.x maintenance branch

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 17 Jul 2024 14:04:00 +0800

dde-launchpad (0.7.6) unstable; urgency=medium

  * Fix: #8807
  * Fix: #9067
  * Fix: #9446
  * Fix: #8060
  * Fix: #9450
  * Fix: #9449
  * Fix: #9578
  * Fix: #9567
  * Fix: #9615

 -- xionglinlin <xionglinlin@uniontech.com>  Fri, 05 Jul 2024 14:47:36 +0800

dde-launchpad (0.7.5) unstable; urgency=medium

  * Fix #6818
  * Fix #8807
  * Fix #9374

 -- xionglinlin <xionglinlin@uniontech.com>  Thu, 27 Jun 2024 10:55:50 +0800

dde-launchpad (0.7.4) unstable; urgency=medium

  * release 0.7.4

 -- Mike Chen <chenke@deepin.org>  Mon, 24 Jun 2024 13:57:42 +0800

dde-launchpad (0.7.3) unstable; urgency=medium

  * Fix #8694
  * Fix #8805
  * Fix #8980
  * Fix #8495
  * Fix #8828
  * Fix #7949
  * Fix #8577
  * Fix #8824
  * Fix #8674
  * Fix #8655
  * Fix #9009
  * Fix #8832
  * Fix #8972
  * Fix #8342
  * release 0.7.3

 -- Mike Chen <chenke@deepin.org>  Mon, 17 Jun 2024 10:34:07 +0800

dde-launchpad (0.7.2) unstable; urgency=medium

  * release 0.7.2

 -- Mike Chen <chenke@deepin.org>  Thu, 13 Jun 2024 10:26:10 +0800

dde-launchpad (0.7.1) unstable; urgency=medium

  * fix: folder did not remove without item (linuxdeepin/developer-center#8947)
  * Fix #8577
  * Fix #8862
  * Fix #8376
  * Fix #8689
  * Fix #8244
  * Fix #8384
  * release 0.7.1

 -- zsien <quezhiyong@deepin.org>  Fri, 07 Jun 2024 15:11:35 +0800

dde-launchpad (0.7.0) unstable; urgency=medium

  * Fix missing border in popup (linuxdeepin/developer-center#8409)
  * Now requires AppStreamQt 1.0
  * App group round corner (linuxdeepin/developer-center#8336)
  * Update built-in compulsory app list (linuxdeepin/developer-center#8674)
  * Show highlighted item all the time in fullscreen mode
  * Add menu entry to bring item to front in freeform sort mode
  * Update translations
  * Fix Enter and Space key not able to launch app (linuxdeepin/developer-center#8584)
  * PageIndicator styling fix (linuxdeepin/developer-center#8688)
  * Fix menu popup focus (linuxdeepin/developer-center#7629)
  * Fix incorrect X-Deepin-Vendor check

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 29 May 2024 13:37:00 +0800

dde-launchpad (0.6.12) unstable; urgency=medium

  * fix: dde-control-center can be uninstalled
  * fix: missing blur for Menu when it's parent is clip(Issue: https://github.com/linuxdeepin/developer-center/issues/8468)

 -- YeShanShan <yeshanshan@deepin.org>  Tue, 14 May 2024 18:26:49 +0800

dde-launchpad (0.6.11) unstable; urgency=medium

  * Fix search result overflow
  * Ensure AppItemMenu is modal (linuxdeepin/developer-center#8477)
  * Fix numpad quick search not working (linuxdeepin/developer-center#8495)

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 10 May 2024 18:35:00 +0800

dde-launchpad (0.6.10) unstable; urgency=medium

  * Fix missing blur (linuxdeepin/developer-center#8468)
  * Workaround QTBUG-125139 (linuxdeepin/developer-center#8475)
  * Fix blank page after drag (linuxdeepin/developer-center#8358) (linuxdeepin/developer-center#8363)
  * Check Ctrl key before accepting quick search (linuxdeepin/developer-center#8463)
  * Avoid hang when drop to last item in page (linuxdeepin/developer-center#8457)
  * Avoid two apps launched when click in folder (linuxdeepin/developer-center#8462)
  * Ensure scrollbar visible for search result (linuxdeepin/developer-center#7833)
  * Fix thumbnail not shown when folder name too long (linuxdeepin/developer-center#8336)
  * Allow continue search when search edit is not focused (linuxdeepin/developer-center#7627)
  * Fix enter to launch current app (linuxdeepin/developer-center#8060)
  * Only show tooltip when truncated (linuxdeepin/developer-center#8409)
  * Fix icon not clear (linuxdeepin/developer-center#8409)
  * Various UI fixes (linuxdeepin/developer-center#8409)
  * Update translations

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 09 May 2024 14:18:00 +0800

dde-launchpad (0.6.9) unstable; urgency=medium

  * fix: padding error in large font(Issue: https://github.com/linuxdeepin/developer-center/issues/8295)
  * fix: List's item is not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/8361)
  * i18n: Translated using Weblate (Finnish) (#245)
    Thanks to Weblate (bot)
  * fix: There are empty application groups.(issue: 8367)


=== debian/control ===
Source: dde-launchpad
Section: unknown
Priority: optional
Maintainer: Gary Wang <wangzichong@deepin.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 pkg-config,
 libglib2.0-dev,
# v-- to get systemduserunitdir from its pkg-config data
 systemd,
 qt6-base-dev,
 qt6-base-private-dev,
 qt6-svg-dev,
 qt6-declarative-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 qt6-wayland-dev,
 qt6-wayland-private-dev,
 libdtkcommon-dev,
 libdtk6core-dev,
# v-- provides qdbusxml2cpp-fix binary
 libdtk6core-bin,
# v-- provides DHiDPIHelper
 libdtk6gui-dev,
 libdtk6declarative-dev,
 libdde-shell-dev (>= 0.0.10),
 libappstreamqt-dev (>= 1.0.0)
Standards-Version: 4.6.0
Rules-Requires-Root: no

Package: dde-launchpad
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 dde-application-manager (>> 1.2.2),
 dde-application-wizard-daemon-compat,
 libdtk6declarative(>=6.0.13),
 qml6-module-qtquick-layouts,
 qml6-module-qtquick-window,
 qml6-module-qtquick-controls,
 qml6-module-qtquick-controls2-styles-chameleon,
 qml6-module-qt-labs-platform,
# v-- actually should be depended by qqc2-styles-chameleon
 qml6-module-qt5compat-graphicaleffects
Conflicts: dde-launcher
Replaces: dde-launcher
Description: The "launcher" or "start menu" component for DDE
 Display all installed applications and allow user to launch applications, which is convenient for users to operate quickly

## dde-launchpad 1.0.6

=== src/gioutils/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(PkgConfig REQUIRED)

pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0 gio-unix-2.0)

add_library(gio-utils OBJECT)

target_sources(gio-utils
PRIVATE
    trashmonitor.h
    trashmonitor.cpp
    appinfomonitor.h
    appinfomonitor.cpp
    appinfo.h
    appinfo.cpp
)

target_include_directories(gio-utils PUBLIC ${CMAKE_CURRENT_LIST_DIR})
target_link_libraries(gio-utils PUBLIC
    Qt::Core
    PkgConfig::GIO
)

target_compile_definitions(gio-utils
PRIVATE
    QT_NO_KEYWORDS
)

=== debian/changelog ===
dde-launchpad (1.0.6) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#453)

 -- Wu Haotian <wuhaotian@uniontech.com>  Fri, 01 Nov 2024 10:23:38 +0800

dde-launchpad (1.0.5) unstable; urgency=medium

  * fix: Dock can overlap right-click menu (#454)

 -- Yutao Meng <mengyutao@deepin.org>  Thu, 24 Oct 2024 10:37:25 +0800

dde-launchpad (1.0.4) unstable; urgency=medium

  * fix: avoid hover animation for grid items
  * feat: display autostart badge for fullscreen frame
  * fix: incorrect display location for autostart badge
  * feat: Hide pageindicator when only one app page exists

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 16 Oct 2024 14:27:04 +0800

dde-launchpad (1.0.3) unstable; urgency=medium

  * fix: missing oblique tab operation
  * fix: the focus position is wrong when turning the page
  * feat: Disable itemMoveTransition when switching to FullscreenFrame
  * fix: the color of dropIndicator under the black theme
  * fix: tooltip delay time
  * fix: missing tips when button hover
  * fix: window radius isn't changed

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 25 Sep 2024 16:33:36 +0800

dde-launchpad (1.0.2) unstable; urgency=medium

  * fix: failed to switch pages by clicking indicator button

 -- Wang Fei <wangfei@deepin.org>  Wed, 11 Sep 2024 15:57:51 +0800

dde-launchpad (1.0.1) unstable; urgency=medium

  * fix: update the color of a darg-and-drop in FreeSortList(Issue: 271431)
  * fix: add run-time dependencies

 -- xionglinlin <xionglinlin@uniontech.com>  Wed, 04 Sep 2024 17:03:45 +0800

dde-launchpad (1.0.0) unstable; urgency=medium

  * Update translation from Transifex

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 02 Sep 2024 16:11:00 +0800

dde-launchpad (0.8.7) unstable; urgency=medium

  * fix: gridView tab switched too quickly(Issue: https://github.com/linuxdeepin/developer-center/issues/10481)

 -- Zhang Kun <zhangkun2@uniontech.com>  Thu, 29 Aug 2024 10:19:01 +0800

dde-launchpad (0.8.6) unstable; urgency=medium

  * fix: modify the fullscreen launcher window opening and closing animation(Issue: 10322)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 21 Aug 2024 17:46:40 +0800

## dde-launchpad 1.0.8

=== debian/changelog ===
dde-launchpad (1.0.8) unstable; urgency=medium

  * fix: launchpad crash at josn2value

 -- Yutao Meng <mengyutao@deepin.org>  Mon, 25 Nov 2024 16:43:06 +0800

dde-launchpad (1.0.7) unstable; urgency=medium

  * fix: Launchpad blurry background will never adapt to secondary monitor (#462)

 -- Yutao Meng <mengyutao@deepin.org>  Wed, 13 Nov 2024 11:17:38 +0800

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,8 @@
 # v-- provides qdbusxml2cpp-fix binary
  libdtk6core-bin,
 # v-- provides DHiDPIHelper
- libdtk6gui-dev,
- libdtk6declarative-dev,
+ libdtk6gui-dev (>= 6.0.19),
+ libdtk6declarative-dev (>= 6.0.19),
  libdde-shell-dev (>= 0.0.10),
  libappstreamqt-dev (>= 1.0.0)
 Standards-Version: 4.6.0
@@ -36,7 +36,8 @@
  ${misc:Depends},
  dde-application-manager (>> 1.2.2),
  dde-application-wizard-daemon-compat,
- libdtk6declarative(>=6.0.13),
+ libdtk6gui(>= 6.0.19),
+ libdtk6declarative(>= 6.0.19),
  qml6-module-qtquick-layouts,
  qml6-module-qtquick-window,
  qml6-module-qtquick-controls,

## dde-launchpad 1.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,6 +65,7 @@
     ${PROJECT_SOURCE_DIR}/qml/Main.qml
     ${PROJECT_SOURCE_DIR}/qml/FullscreenFrame.qml
     ${PROJECT_SOURCE_DIR}/qml/AppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/DummyAppItemMenu.qml
     ${PROJECT_SOURCE_DIR}/qml/GridViewContainer.qml
     ${PROJECT_SOURCE_DIR}/qml/DrawerFolder.qml
     ${PROJECT_SOURCE_DIR}/qml/IconItemDelegate.qml
@@ -84,7 +85,9 @@
 #       see also: https://www.qt.io/blog/revisited-i18n-with-cmake
 set(QML_FILES_NEED_TRANSLATION
     qml/AppItemMenu.qml
+    qml/DummyAppItemMenu.qml
     qml/Main.qml
+    qml/FullscreenFrame.qml
     ${WINDOWED_QML_FILES}
 )

=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt6 REQUIRED COMPONENTS Core Test)

qt_standard_project_setup()

macro(launchpad_add_tests)
    foreach(_testname ${ARGN})
        qt_add_executable(launchpad-${_testname} ${_testname}.cpp)
        target_link_libraries(launchpad-${_testname} PRIVATE Qt6::Core Qt6::Test launcher-models)
        add_test(NAME launchpad-${_testname} COMMAND launchpad-${_testname})
    endforeach()
endmacro()

launchpad_add_tests(
    itemspagetest
)

=== qml/windowed/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

qt_add_qml_module(launcher-qml-windowed
    URI org.deepin.launchpad.windowed
    STATIC
    VERSION 1.0
    PLUGIN_TARGET launcher-qml-windowed
    RESOURCE_PREFIX
        /qt/qml
    QML_FILES
        WindowedFrame.qml
        SideBar.qml
        BottomBar.qml
        AlphabetCategoryPopup.qml
        AppList.qml
        AppListView.qml
        IconItemDelegate.qml
        FreeSortListView.qml
        GridViewContainer.qml
        AnalysisView.qml
        RecentlyInstalledView.qml
        FrequentlyUsedView.qml
        SearchResultView.qml
        ItemBackground.qml
)

=== src/ddeintegration/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(${DTK_NS} REQUIRED COMPONENTS Tools) # for ${DTK_XML2CPP} which provides the path of `qdbusxml2cpp-fix` binary

function(dtk_add_dbus_interface _sources _interface _relativename)
    get_filename_component(_infile ${_interface} ABSOLUTE)
    get_filename_component(_basepath ${_relativename} DIRECTORY)
    get_filename_component(_basename ${_relativename} NAME)
    set(_header "${CMAKE_CURRENT_BINARY_DIR}/${_relativename}.h")
    set(_impl   "${CMAKE_CURRENT_BINARY_DIR}/${_relativename}.cpp")

    if(${QT_VERSION_MAJOR} EQUAL "5")
        if(_basepath)
           set(_moc "${CMAKE_CURRENT_BINARY_DIR}/${_basepath}/${_basename}.moc")
        else()
           set(_moc "${CMAKE_CURRENT_BINARY_DIR}/${_basename}.moc")
        endif()
    else()
        if(_basepath)
            set(_moc "${CMAKE_CURRENT_BINARY_DIR}/${_basepath}/moc_${_basename}.cpp")
        else()
            set(_moc "${CMAKE_CURRENT_BINARY_DIR}/moc_${_basename}.cpp")
        endif()
    endif()

    get_source_file_property(_nonamespace ${_interface} NO_NAMESPACE)
    if(_nonamespace)
        set(_params -N -m)
    else()
        set(_params -m)
    endif()

    get_source_file_property(_classname ${_interface} CLASSNAME)
    if(_classname)
        set(_params ${_params} -c ${_classname})
    endif()

    get_source_file_property(_include ${_interface} INCLUDE)
    if(_include)
        set(_params ${_params} -i ${_include})
    endif()

    # older dtk didn't set this variable so...
    if(NOT DEFINED DTK_XML2CPP)
        find_program(DTK_XML2CPP "qdbusxml2cpp-fix")
    endif()

    add_custom_command(OUTPUT "${_impl}" "${_header}"
        COMMAND ${DTK_XML2CPP} ${_params} -p ${_relativename} ${_infile}
        DEPENDS ${_infile} ${DTK_XML2CPP}
        VERBATIM
    )

    set_source_files_properties("${_impl}" "${_header}" PROPERTIES
        SKIP_AUTOMOC TRUE
        SKIP_AUTOUIC TRUE
    )

    qt_generate_moc("${_header}" "${_moc}")

    list(APPEND ${_sources} "${_impl}" "${_header}")
    set_property(SOURCE "${_impl}" APPEND PROPERTY OBJECT_DEPENDS "${_moc}")
    set(${_sources} ${${_sources}} PARENT_SCOPE)
endfunction()

set_source_files_properties(
    ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.daemon.Dock1.xml
PROPERTIES
    CLASSNAME Dock1
    NO_NAMESPACE ON
)

set_source_files_properties(
    ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.daemon.Launcher1.xml
PROPERTIES
    CLASSNAME DaemonLauncher1
    NO_NAMESPACE ON
)

set_source_files_properties(
    ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.Appearance1.xml
PROPERTIES
    CLASSNAME Appearance1
    NO_NAMESPACE ON
)

set_source_files_properties(
    ${CMAKE_CURRENT_LIST_DIR}/xml/org.desktopspec.ApplicationManager1.Application.xml
PROPERTIES
    CLASSNAME AppManager1Application
    INCLUDE types/amglobaltypes.h
    NO_NAMESPACE ON
)

set_source_files_properties(
    ${CMAKE_CURRENT_LIST_DIR}/xml/org.desktopspec.ObjectManager1.xml
PROPERTIES
    CLASSNAME AppManager1ApplicationObjectManager
    INCLUDE types/amglobaltypes.h
    NO_NAMESPACE ON
)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(DBusCPP_SRC "")

dtk_add_dbus_interface(DBusCPP_SRC ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.daemon.Dock1.xml DaemonDock1)
dtk_add_dbus_interface(DBusCPP_SRC ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.daemon.Launcher1.xml DaemonLauncher1)
dtk_add_dbus_interface(DBusCPP_SRC ${CMAKE_CURRENT_LIST_DIR}/xml/org.deepin.dde.Appearance1.xml Appearance1)
dtk_add_dbus_interface(DBusCPP_SRC ${CMAKE_CURRENT_LIST_DIR}/xml/org.desktopspec.ApplicationManager1.Application.xml AppManager1Application)
dtk_add_dbus_interface(DBusCPP_SRC ${CMAKE_CURRENT_LIST_DIR}/xml/org.desktopspec.ObjectManager1.xml AppManager1ApplicationObjectManager)

message(INFO ${DBusCPP_SRC})

add_library(dde-integration-dbus OBJECT
    ${DBusCPP_SRC}
    types/qrect.h
    types/objectmap.h
    types/amglobaltypes.h

    appwiz.cpp
    ddedock.cpp
    appearance.cpp
    appmgr.cpp
)

target_sources(dde-integration-dbus PUBLIC
FILE_SET HEADERS
FILES
    appwiz.h
    ddedock.h
    appearance.h
    appmgr.h
)

target_include_directories(dde-integration-dbus
PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
    ${CMAKE_SOURCE_DIR}/src
)
target_link_libraries(dde-integration-dbus
PUBLIC
    Qt::Concurrent
PRIVATE
    Qt::Core Qt::Gui ${DTK_NS}::Core ${ASQT_NS} launcher-utils)

=== src/utils/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt NAMES ${QT_NS} REQUIRED Quick)
find_package(Dtk NAMES ${DTK_NS} REQUIRED COMPONENTS Gui) # for DHiDPIHelper, probably can be replaced later

add_library(launcher-utils OBJECT)

target_sources(launcher-utils
PRIVATE
    categoryutils.h
    categoryutils.cpp
    iconutils.h
    iconutils.cpp
    blurhash.hpp
    blurhash.cpp
)

target_include_directories(launcher-utils PUBLIC ${CMAKE_CURRENT_LIST_DIR})
target_link_libraries(launcher-utils PRIVATE Qt::Core Qt::Gui Qt::Svg ${DTK_NS}::Gui)

=== debian/changelog ===
dde-launchpad (1.0.11) unstable; urgency=medium

  * fix: add base locale as fallback for app display name
  * chore: update section to DDE in debian/control

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 27 Mar 2025 17:25:00 +0800

dde-launchpad (1.0.10) unstable; urgency=medium

  * fix: the search results are displayed in the middle (#496)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 31 Dec 2024 11:39:40 +0800

dde-launchpad (1.0.9) unstable; urgency=medium

 feat: Show autostart icon for autostart apps in the windowed list
 fix: incomplete compulsory apps

 -- Wang Fei <wangfei@deepin.org>  Fri, 13 Dec 2024 15:55:52 +0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: dde-launchpad
-Section: unknown
+Section: DDE
 Priority: optional
 Maintainer: Gary Wang <wangzichong@deepin.org>
 Build-Depends:

## dde-launchpad 1.99.15

=== src/models/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
     countlimitproxymodel.h
     freesortproxymodel.h
     frequentlyusedproxymodel.h
+    itemspagemodel.h
 )
 
 target_sources(launcher-models
@@ -43,6 +44,7 @@
     countlimitproxymodel.cpp
     freesortproxymodel.cpp
     frequentlyusedproxymodel.cpp
+    itemspagemodel.cpp
 )
 
 target_link_libraries(launcher-models PRIVATE

=== src/treelandintegration/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 UnionTech Software Technology Co., Ltd.
#
# SPDX-License-Identifier: CC0-1.0

find_package(Qt6 REQUIRED GLOBAL COMPONENTS WaylandClient)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

add_library(treeland-integration OBJECT
    personalizationmanager.cpp
    personalizationwindow.cpp
)

qt_generate_wayland_protocol_client_sources(treeland-integration
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/treeland-personalization-manager-v1.xml
)

target_sources(treeland-integration PUBLIC
FILE_SET HEADERS
FILES
    personalizationmanager.h
    personalizationwindow.h
)

target_link_libraries(treeland-integration
PRIVATE
    Qt6::WaylandClient
    Qt6::WaylandClientPrivate
)

=== debian/changelog ===
dde-launchpad (1.99.15) unstable; urgency=medium

  * fix: The alphabet also closes when the launchpad is shut down
  * fix: Lack of diagonal operation functionality.
  * fix: search app when use blank can not find app.
  * Revert "feat: Add fuzzy search support for applications"

-- YeShanShan <yeshanshan@uniontech.com>  Thu, 15 May 2025 21:14:56 +0800

dde-launchpad (1.99.14) UNRELEASED; urgency=medium

  * fix: Dragging applications in application folder cannot create a new page (Bug-288839)
  * fix: add x-dde-dock-dnd-source for dde-dock.
  * fix: cancel hovered state after move mouse in the categorized display. (Bug-271375)

-- Wu Jiangyu <wujiangyu@uniontech.com>  Tue, 13 May 2025 17:17:000 +0800

dde-launchpad (1.99.13) UNRELEASED; urgency=medium

  * fix: The four corners can't be dragged properly in full-screen mode (Bug-310813)
  * feat: add Apps winthin folder are dragged across pages. (Bug-288691)
  * fix: Clicking tab multiple times to switch focus appear to switch back and forth (Bug-315227)
  * fix: Uninstalling app in fullscreen doesn't close launcher (Bug-315255)
  * fix: Add quotation marks to the app name in the uninstall dialog (Bug-315259)
  * Update translations from Transifex

-- Wu Jiangyu <wujiangyu@uniontech.com>  Fri, 29 May 2025 08:36:000 +0800

dde-launchpad (1.99.12) UNRELEASED; urgency=medium

  * fix: clicking the left and right keys no response in fullscreen.
  * fix: The title text of launcher application group fontbold
  * Update translations from Transifex

-- Wu Jiangyu <wujiangyu@uniontech.com>  Tue, 29 Apr 2025 11:14:000 +0800

dde-launchpad (1.99.11) UNRELEASED; urgency=medium

  * fix: add base locale as fallback for app display name (Bug-310179)
  * fix: drag-n-drop create app folder have incorrect app ordering (Bug-288919)
  * Update translations from Transifex

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 17 Apr 2025 17:39:00 +0800

dde-launchpad (1.99.10) UNRELEASED; urgency=medium

  * fix: incorrect selectedTextColor for folderPopup (Bug-301103)
  * fix: correct category name for Games (Bug-289127)

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 21 Mar 2025 9:10:00 +0800

dde-launchpad (1.99.9) UNRELEASED; urgency=medium

  * fix: assign fullscreen frame screen on init completed (Bug-300309)

 -- Wang Zichong <wangzichong@deepin.org>  Wed, 12 Mar 2025 10:22:00 +0800

dde-launchpad (1.99.8) UNRELEASED; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment
  * fix: item delegate margin not working in AppListView (Bug-300939)
  * fix: cannot stop scrolling after drop in some cases (Bug-303553)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 06 Mar 2025 20:17:00 +0800

dde-launchpad (1.99.7) UNRELEASED; urgency=medium

  * fix: fullscreen launcher should follow dock screen (Bug-300309)

 -- Wang Zichong <wangzichong@deepin.org>  Thu, 27 Feb 2025 13:37:00 +0800

dde-launchpad (1.99.6) UNRELEASED; urgency=medium

  * fix(UI): add a footer for windowed mode list view for padding
  * feat: apply drop while dragging for freeform sort view
  * i18n: Updates for project Deepin Desktop Environment (#505)
    Thanks to transifex-integration[bot]
  * fix: can't search polyphonic characters
  * chore: remove warning

 -- Yeshanshan <yeshanshan@deepin.org>  Thu, 13 Feb 2025 21:58:29 +0800

dde-launchpad (1.99.5) UNRELEASED; urgency=medium

  * fix: incorrect FocusBorder for Windowed
  * fix: siderBar icons display error icons under dark theme (#502)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 20:23:24 +0800

dde-launchpad (1.99.4) UNRELEASED; urgency=medium

  * fix: Hide launchpad window as soon as launching Apps (#492)
  * [skip CI] Translate dde-launchpad.ts in ar
  * [skip CI] Translate dde-launchpad.ts in ar
  * fix: Close folder popup in windowed mode
  * fix: hover background for category list view items
  * chore: update section to DDE in debian/control
  * fix: quick panel still show while launchpad show
  * fix: the search results are displayed in the middle (#495)

 -- xionglinlin <xionglinlin@uniontech.com>  Tue, 24 Dec 2024 19:44:07 +0800

dde-launchpad (1.99.3) UNRELEASED; urgency=medium

  * Show autostart icons for items in freeform-sort view
  * Fix icons in some view are not clickable
  * Add missing translation for launchpad icon on taskbar area
  * Stop scrolling when freeform-sort view item drag finished
  * Update tooltip delay time
  * Fix x11 launchpad cannot hide

 -- Wang Zichong <wangzichong@deepin.org>  Fri, 06 Dec 2024 16:13:00 +0800

dde-launchpad (1.99.2) UNRELEASED; urgency=medium

  * support most areas apps drop to dock (PMS-285139)
  * fix some strings on windowed launcher mode not translated
    (PMS-287975, PMS-287083, PMS-289493)
  * update translations

 -- Wang Zichong <wangzichong@deepin.org>  Sat, 30 Nov 2024 14:20:00 +0800

dde-launchpad (1.99.1) UNRELEASED; urgency=medium

  * update tr
  * i18n: update ts files for launcher applet
  * chore: update current unit test
  * fix: hide the power button in treeland
  * fix: modify the way of request shutdown (#466)

 -- Zhang Kun <zhangkun2@uniontech.com>  Fri, 22 Nov 2024 11:39:37 +0800

dde-launchpad (1.99.0) UNRELEASED; urgency=medium

  * Support freeform sort area drag-to-scroll in windowed mode launcher
  * Move launcheritem applet from dde-shell to dde-launchpad
  * Support dummy (placeholder) package
  * Display autostart badge for autostart items
  * fix failed to switch pages by clicking page indicator (PMS-272715)
  * Add tooltip for some icon-only buttons
  * Fix incorrect alignment windowed mode search result view on Qt 6.8

 -- Wang Zichong <wangzichong@deepin.org>  Mon, 28 Oct 2024 19:14:00 +0800

## dde-launchpad 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,8 +38,6 @@
 
 set(QML_IMPORT_PATH ${QML_IMPORT_PATH} ${CMAKE_CURRENT_BINARY_DIR}/ CACHE STRING "" FORCE)
 
-add_subdirectory(systemd)
-add_subdirectory(dbus)
 add_subdirectory(src/gioutils)
 add_subdirectory(src/utils)
 add_subdirectory(src/quick)
@@ -84,10 +82,10 @@
 # TODO: switch to the new qt_add_translations usage introduced in Qt 6.7
 #       see also: https://www.qt.io/blog/revisited-i18n-with-cmake
 set(QML_FILES_NEED_TRANSLATION
-    qml/AppItemMenu.qml
-    qml/DummyAppItemMenu.qml
-    qml/Main.qml
-    qml/FullscreenFrame.qml
+    ${PROJECT_SOURCE_DIR}/qml/AppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/DummyAppItemMenu.qml
+    ${PROJECT_SOURCE_DIR}/qml/Main.qml
+    ${PROJECT_SOURCE_DIR}/qml/FullscreenFrame.qml
     ${WINDOWED_QML_FILES}
 )
 
@@ -120,15 +118,18 @@
 
 qt_add_dbus_adaptor(DBUS_ADAPTER_FILES dbus/org.deepin.dde.Launcher1.xml launchercontroller.h LauncherController)
 
-qt_add_executable(${BIN_NAME}
-    main.cpp
+qt_add_library(launchpadcommon SHARED
     ${SOURCE_FILES}
     ${DBUS_ADAPTER_FILES}
     ${RESOURCES}
     ${TRANSLATED_FILES}
 )
 
-qt_add_qml_module(${BIN_NAME}
+qt_add_executable(${BIN_NAME}
+    main.cpp
+)
+
+qt_add_qml_module(launchpadcommon
     URI org.deepin.launchpad
     VERSION 1.0
     RESOURCES qml.qrc
@@ -137,6 +138,7 @@
     QML_FILES
         ${QML_FILES}
 )
+set_target_properties(launchpadcommon PROPERTIES PREFIX "")
 
 qt_add_translations(${BIN_NAME}
     TS_FILES ${TRANSLATION_FILES}
@@ -149,9 +151,10 @@
     DDE_LAUNCHPAD_VERSION=${CMAKE_PROJECT_VERSION}
 )
 
-target_link_libraries(${BIN_NAME} PRIVATE
+target_link_libraries(launchpadcommon PUBLIC
     ${DTK_NS}::Core
     ${DTK_NS}::Gui
+    Qt::GuiPrivate
     Qt::Qml
     Qt::Quick
     Qt::QuickControls2
@@ -165,11 +168,15 @@
     treeland-integration
 )
 
-install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})
+target_link_libraries(${BIN_NAME} PRIVATE
+    launchpadcommon
+)
+
+install(TARGETS launchpadcommon DESTINATION ${CMAKE_INSTALL_LIBDIR})
 install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
 install(
     FILES dist/org.deepin.dde.shell.launchpad.appdata.xml
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"
 )
 
-include(dde-shell-wrapper/src.cmake)
+add_subdirectory(shell-launcher-applet)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,11 +9,12 @@
 macro(launchpad_add_tests)
     foreach(_testname ${ARGN})
         qt_add_executable(launchpad-${_testname} ${_testname}.cpp)
-        target_link_libraries(launchpad-${_testname} PRIVATE Qt6::Core Qt6::Test launcher-models)
+        target_link_libraries(launchpad-${_testname} PRIVATE Qt6::Core Qt6::Test launchpadcommon)
         add_test(NAME launchpad-${_testname} COMMAND launchpad-${_testname})
     endforeach()
 endmacro()
 
 launchpad_add_tests(
     itemspagetest
+    gioappinfotest
 )

=== debian/changelog ===
dde-launchpad (2.0.1) unstable; urgency=medium

  * feat: add search for Uppercase and modify deepin-XXX logic.

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 23 Jun 2025 16:41:52 +0800

dde-launchpad (2.0.0) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#581)
  * fix: when drag app for move to anthoer area,add speed with change position.
  * fix: when search item, modify select color.

-- yeshanshan <yeshanshan@deepin.org>  Thu, 18 Jun 2025 19:22:00 +0800

dde-launchpad (1.99.17) UNRELEASED; urgency=medium

  * fix: app will automatically fill in from the first page of folder
  * fix: when drag app to another app from folder,add animation and auto-move with folders
  * feat: Added left and right button switching in full-screen mode
  * feat: add focus with AlphabetCategory when change to another word

-- Wang Zichong <wangzichong@deepin.org>  Thu, 12 Jun 2025 19:22:00 +0800

dde-launchpad (1.99.16) UNRELEASED; urgency=medium

  * fix: when only one page, hide indicator. 
  * fix: Dock can overlapping right-click menu 
  * feat: add Support for acronym matching and others. 
  * fix: Install new app will start from first page to fill. 

-- Wu Jiangyu <wujiangyu@uniontech.com>  Thu, 05 Jun 2025 16:22:46 +0800

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=5

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
		dh $@ --parallel

override_dh_auto_configure:
		dh_auto_configure -- \
			-DVERSION=$(DEB_VERSION_UPSTREAM) \
			-DPREFER_QT_5=OFF

## dde-launchpad 2.0.4

=== debian/changelog ===
dde-launchpad (2.0.4) unstable; urgency=medium

  * fix: optimize drag and drop indicator behavior
  * fix: update hover colors and add dark mode variant
  * feat: add search filter proxy model tests

 -- WuJiangYu <wujiangyu@uniontech.com>  Wed, 16 Jul 2025 10:47:30 +0800

dde-launchpad (2.0.3) unstable; urgency=medium

  * fix: disable drag when menus or popups are visible
  * feat: Disable itemMoveTransition when switching to FullscreenFrame
    (#424)
  * i18n: Updates for project Deepin Desktop Environment (#596)
  * fix: adjust folder grid item height consistency
  * feat: call pre-uninstall hook from launchpad
  * fix: reset view position on category type change
  * fix: update color with install dot.
  * fix: Launchpad crash
  * fix: update theme with installed dot.
  * style: update new app indicator styling
  * fix: disable initial animations in FreeSortListView
  * fix: handle menu cleanup and visibility in SideBar
  * fix: update search filter logic and visibility
  * feat: add package name search configuration
  * fix: fix build warnings.
  * feat: Added search priority display.

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:15:14 +0800

dde-launchpad (2.0.2) unstable; urgency=medium

  * fix: add hardening compiler flags for Debian build
  * chore: avoid show confirm uninstall dialog when have preuninstall
    hook
  * i18n: Updates for project Deepin Desktop Environment (#588)
  * fix: when fullscreen, click dock, launchpad will not close.
  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in pt_BR (#584)

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 03 Jul 2025 19:59:52 +0800

## dde-launchpad 2.0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,8 +15,6 @@
 set(CMAKE_INCLUDE_CURRENT_DIR ON) # ensure adapter class can include launchercontroller.h
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
 
-set(BIN_NAME dde-launchpad)
-
 include(FeatureSummary)
 include(GNUInstallDirs)
 
@@ -28,6 +26,7 @@
 find_package(${QT_NS} REQUIRED COMPONENTS Core Gui Concurrent Qml Svg Quick QuickControls2 LinguistTools)
 find_package(${DTK_NS} REQUIRED COMPONENTS Core Gui)
 find_package(${ASQT_NS} 1.0 REQUIRED)
+find_package(ECM NO_MODULE)
 
 set_package_properties(${ASQT_NS} PROPERTIES
     DESCRIPTION "Library that lists Appstream resources"
@@ -37,6 +36,13 @@
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(QML_IMPORT_PATH ${QML_IMPORT_PATH} ${CMAKE_CURRENT_BINARY_DIR}/ CACHE STRING "" FORCE)
+
+if (ECM_FOUND)
+    set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH};${ECM_MODULE_PATH};${PROJECT_SOURCE_DIR}/cmake")
+
+    include(KDEClangFormat)
+    include(KDEGitCommitHooks)
+endif()
 
 add_subdirectory(src/gioutils)
 add_subdirectory(src/utils)
@@ -94,28 +100,6 @@
         QT_QML_SINGLETON_TYPE TRUE
 )
 
-set(TRANSLATION_FILES
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_az.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_bo.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ca.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_es.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_fi.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_fr.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_hu.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_it.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ja.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ko.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_nb_NO.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_pl.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_pt_BR.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_ru.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_uk.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_CN.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_HK.ts
-    ${PROJECT_SOURCE_DIR}/translations/dde-launchpad_zh_TW.ts
-)
-
 qt_add_dbus_adaptor(DBUS_ADAPTER_FILES dbus/org.deepin.dde.Launcher1.xml launchercontroller.h LauncherController)
 
 qt_add_library(launchpadcommon SHARED
@@ -123,10 +107,6 @@
     ${DBUS_ADAPTER_FILES}
     ${RESOURCES}
     ${TRANSLATED_FILES}
-)
-
-qt_add_executable(${BIN_NAME}
-    main.cpp
 )
 
 qt_add_qml_module(launchpadcommon
@@ -139,17 +119,6 @@
         ${QML_FILES}
 )
 set_target_properties(launchpadcommon PROPERTIES PREFIX "")
-
-qt_add_translations(${BIN_NAME}
-    TS_FILES ${TRANSLATION_FILES}
-    SOURCES ${QML_FILES_NEED_TRANSLATION} ${SOURCE_FILES} src/models/appitem.cpp
-    QM_FILES_OUTPUT_VARIABLE TRANSLATED_FILES
-)
-
-target_compile_definitions(${BIN_NAME}
-PRIVATE
-    DDE_LAUNCHPAD_VERSION=${CMAKE_PROJECT_VERSION}
-)
 
 target_link_libraries(launchpadcommon PUBLIC
     ${DTK_NS}::Core
@@ -168,12 +137,7 @@
     treeland-integration
 )
 
-target_link_libraries(${BIN_NAME} PRIVATE
-    launchpadcommon
-)
-
 install(TARGETS launchpadcommon DESTINATION ${CMAKE_INSTALL_LIBDIR})
-install(FILES ${TRANSLATED_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/${BIN_NAME}/translations)
 install(
     FILES dist/org.deepin.dde.shell.launchpad.appdata.xml
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/metainfo"

=== debian/changelog ===
dde-launchpad (2.0.9) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#642)
  * fix: update confirmation dialog button text and layout
  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in pt_BR (#637)
  * fix: avoid calling endMoveRows() if beginMoveRows() is failed
  * fix: fix building warnings.

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 21 Aug 2025 16:57:31 +0800

dde-launchpad (2.0.8) unstable; urgency=medium

  * fix: adjust grid view highlight appearance
  * fix: update sidebar icons use same icons when change themes.

 -- wujiangyu <wujiangyu@uniontech.com>  Thu, 14 Aug 2025 17:23:59 +0800

dde-launchpad (2.0.7) unstable; urgency=medium

  * i18n: Translate org.deepin.ds.dock.launcherapplet.ts in uk (#628)
  * fix: improve window transition and drag visibility

 -- wujiangyu <wujiangyu@uniontech.com>  Tue, 12 Aug 2025 10:39:03 +0800

dde-launchpad (2.0.6) unstable; urgency=medium

  * fix: click area keep same with app on dock.
  * fix: simplify uninstall dialog button layout
  * fix: resolve focus loss when switching from fullscreen to windowed
  * i18n: Updates for project Deepin Desktop Environment (#626)
  * fix: modify confirm to uninstall.

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 07 Aug 2025 20:01:25 +0800

dde-launchpad (2.0.5) unstable; urgency=medium

  * feat: add alwaysShowHighlighted property to GridViewContainer
  * fix: adjust margins in list views
  * chore: switch to use newer REUSE.toml for license check
  * chore: remove dde-launchpad binary since it's no longer used
  * feat: add dark mode support for fullscreen context menu
  * feat: add display scaling support in desktop integration
  * feat: add F1 key help support for launcher
  * fix: improve drop indicator implementation in FreeSortListView
  * fix: adjust menu item margins in AppListView
  * fix: optimize drag and drop indicator behavior
  * fix: update hover colors and add dark mode variant
  * feat: add search filter proxy model tests

 -- WuJiangYu <wujiangyu@uniontech.com>  Mon, 04 Aug 2025 16:01:10 +0800
